curl --request GET \
--url https://preview.intermezzo.ai/gb/organizations/{organization_id}/p32/{tax_year} \
--header 'Authorization: Bearer <token>'{
"taxYear": 123,
"months": [
{
"taxYear": 123,
"taxMonth": 123,
"version": 123,
"grossLiability": "<string>",
"totalReclaims": "<string>",
"netPayable": "<string>",
"eaBalanceCarriedForward": "<string>",
"surplusCarriedForward": "<string>",
"incomeTaxPaye": "0",
"studentLoanPlan1": "0",
"studentLoanPlan2": "0",
"studentLoanPlan4": "0",
"studentLoanPg": "0",
"employeeNic": "0",
"employerNic": "0",
"class1ANic": "0",
"smp": "0",
"spp": "0",
"sap": "0",
"shpp": "0",
"spbp": "0",
"sncp": "0",
"nicCompensation": "0",
"cis": "0",
"employmentAllowanceApplied": "0",
"apprenticeshipLevy": "0",
"eaBalanceBroughtForward": "0",
"surplusBroughtForward": "0"
}
]
}Returns 12 monthly records. Months with no FPS/EPS data are null.
curl --request GET \
--url https://preview.intermezzo.ai/gb/organizations/{organization_id}/p32/{tax_year} \
--header 'Authorization: Bearer <token>'{
"taxYear": 123,
"months": [
{
"taxYear": 123,
"taxMonth": 123,
"version": 123,
"grossLiability": "<string>",
"totalReclaims": "<string>",
"netPayable": "<string>",
"eaBalanceCarriedForward": "<string>",
"surplusCarriedForward": "<string>",
"incomeTaxPaye": "0",
"studentLoanPlan1": "0",
"studentLoanPlan2": "0",
"studentLoanPlan4": "0",
"studentLoanPg": "0",
"employeeNic": "0",
"employerNic": "0",
"class1ANic": "0",
"smp": "0",
"spp": "0",
"sap": "0",
"shpp": "0",
"spbp": "0",
"sncp": "0",
"nicCompensation": "0",
"cis": "0",
"employmentAllowanceApplied": "0",
"apprenticeshipLevy": "0",
"eaBalanceBroughtForward": "0",
"surplusBroughtForward": "0"
}
]
}Get token from Auth0 and paste it here
Was this page helpful?